Subject: Re: problem with a ssh server under cygwin
From: Frank-Michael Moser <[email-masked]>
To: [email-masked]
Date: Wed, 24 Jul 2002 14:59:08 +0200

> Please do the following:  Stop the sshd service and change the args
> given to sshd to '-d'  (lower case d instead of the usual upper case D).
> The start the service again and ssh to this machine.  The difference
> now is, that you get a listing of the environment variables propagated
> to the user shell.  Check especially if $PATH is valid and contains the
> paths to the Windows and the Windows/system32 directory, both in such a
> way that is matching the *system* mount table.  If you don't get a clue,
> send the output of the environment vars together with the output of the
> mount command to this list.  Don't forget to revert the -d option to -D
> later.

I istalled sshd with

$ cygrunsrv -I sshd -d "CYGWIN sshd" -p /usr/sbin/sshd -a -d -e 
"CYGWIN=binmode ntsec tty"

After starting it I tried to login:

$ ssh localhost
Last login: Wed Jul 24 14:45:14 2002 from localhost
Fanfare!!!
You are successfully logged in to this server!!!
Environment:
   ALLUSERSPROFILE=C:\Dokumente und Einstellungen\All Users
   COMMONPROGRAMFILES=C:\Programme\Gemeinsame Dateien
   COMPUTERNAME=PIP
   COMSPEC=C:\WINDOWS\system32\cmd.exe
   CYGWIN=binmode ntsec tty
   HOME=/home/moser
   HOMEPATH=
   NUMBER_OF_PROCESSORS=1
   OS=Windows_NT
   PATH=/bin:/bin
   PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH
   PROCESSOR_ARCHITECTURE=x86
   PROCESSOR_IDENTIFIER=x86 Family 15 Model 2 Stepping 4, GenuineIntel
   PROCESSOR_LEVEL=15
   PROCESSOR_REVISION=0204
   PROGRAMFILES=C:\Programme
   SYSTEMDRIVE=C:
   SYSTEMROOT=C:\WINDOWS
   TEMP=/cygdrive/c/WINDOWS/TEMP
   TERM=rxvt-cygwin-native
   TMP=/cygdrive/c/WINDOWS/TEMP
   USERDOMAIN=NT-AUTORITÄT
   USERNAME=SYSTEM
   USERPROFILE=C:\Dokumente und Einstellungen\LocalService
   WINDIR=C:\WINDOWS
   TZ=   -1   -2,M3.5.0/2,M10.5.0/3
   USER=moser
   LOGNAME=moser
   MAIL=/var/spool/mail/moser
   SHELL=/bin/bash
   SSH_CLIENT=127.0.0.1 2713 22
   SSH_TTY=/dev/tty2
C:\cygwin\bin\bash.exe: *** could not load wsock32, Win32 error 126
Connection to localhost closed.

Sorry so far I have no idea. The output of mount is:

$ mount
C:\cygwin\usr\X11R6\lib\X11\fonts on /usr/X11R6/lib/X11/fonts type 
system (binmode)
\\dagobert\software on /home/public/software type system (binmode)
\\dagobert\transfer on /home/public/transfer type system (binmode,noexec)
\\dagobert\cvsroot on /usr/local/cvsroot type system (binmode,noexec)
\\dagobert\moser on /home/gustav/moser type system (binmode,noexec)
C:\cygwin\bin on /usr/bin type system (binmode)
C:\cygwin\lib on /usr/lib type system (binmode)
c:\jdk\1.3.1 on /usr/local/java type system (binmode)
C:\cygwin on / type system (binmode)
c: on /cygdrive/c type user (binmode,noumount)
d: on /cygdrive/d type user (binmode,noumount)
h: on /cygdrive/h type user (binmode,noumount)
n: on /cygdrive/n type user (binmode,noumount)
p: on /cygdrive/p type user (binmode,noumount)
s: on /cygdrive/s type user (binmode,noumount)
t: on /cygdrive/t type user (binmode,noumount)
u: on /cygdrive/u type user (binmode,noumount)
v: on /cygdrive/v type user (binmode,noumount)
w: on /cygdrive/w type user (binmode,noumount)
x: on /cygdrive/x type user (binmode,noumount)
y: on /cygdrive/y type user (binmode,noumount)
z: on /cygdrive/z type user (binmode,noumount)

What I noticed beside. When not installing sshd with ntsec (of course 
public key authentification does not work) I'm able to login by typing 
my password. At least my wsock32-problem actually seems to be related to 
public key authentification.

Frank-Michael

-- 
------------------------------------------------------------
DECODON GmbH                        phone: +49(0)3834 515231
W.-Rathenau-Str. 49a                  fax: +49(0)3834 515239
17489 Greifswald                    email: [email-masked]
Germany                               web:   www.decodon.com
------------------------------------------------------------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/